package com.phm.manage.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.phm.common.annotation.Excel;
import com.phm.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 诊断结果对象 phm_diagnose_result
 *
 * @author phm
 * @date 2023-08-31
 */
public class DiagnoseResult extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一ID
     */
    private Long id;

    /**
     * 故障模式
     */
    @Excel(name = "故障模式")
    private String faultMode;

    /**
     * 故障对象
     */
    @Excel(name = "故障对象")
    private String faultObject;

    /**
     * 故障编码
     */
    @Excel(name = "故障编码")
    private String faultCode;

    /**
     * 故障源
     */
    @Excel(name = "故障源")
    private String faultSource;

    /**
     * 分析时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "分析时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date analysisTime;

    /**
     * 批注注解
     */
    @Excel(name = "批注注解")
    private String comment;

    /**
     * 数据是否删除（1：删除，0有效）
     */
    private Long isDelete;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setFaultMode(String faultMode) {
        this.faultMode = faultMode;
    }

    public String getFaultMode() {
        return faultMode;
    }

    public void setFaultObject(String faultObject) {
        this.faultObject = faultObject;
    }

    public String getFaultObject() {
        return faultObject;
    }

    public void setFaultCode(String faultCode) {
        this.faultCode = faultCode;
    }

    public String getFaultCode() {
        return faultCode;
    }

    public void setFaultSource(String faultSource) {
        this.faultSource = faultSource;
    }

    public String getFaultSource() {
        return faultSource;
    }

    public void setAnalysisTime(Date analysisTime) {
        this.analysisTime = analysisTime;
    }

    public Date getAnalysisTime() {
        return analysisTime;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getComment() {
        return comment;
    }

    public void setIsDelete(Long isDelete) {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("faultMode", getFaultMode())
                .append("faultObject", getFaultObject())
                .append("faultCode", getFaultCode())
                .append("faultSource", getFaultSource())
                .append("analysisTime", getAnalysisTime())
                .append("comment", getComment())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
